Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Drew Adams <[email-masked]>
Date: Mon, 2 May 2022 02:19:13 +0000

> > FWIW, I don't see why `x-show-tip' is being
> > considered "internal".  And I'm one who uses it in
> > external libraries.
> >
> > If `tooltip-show' can use `x-show-tip' then so
> > can "external" code that does something similar.
> 
> `x-show-tip' is an internal function because it exposes dangerous
> features to Lisp.

Dangerous?  Too dangerous for Lisp?  Please
do elaborate.

> If the `frame' parameter is an invisible frame, the tooltip will be
> displayed unpredictably by different window managers.

Lots of things can happen unpredictably with
frames, per different window managers.

And invisible frames are used seldom - so
much so that Emacs has even (misguidedly)
toyed with the idea of getting rid of their
support.

But pray, please do elaborate?  What's so
special about tooltips here?

Please consider documenting it, whatever
it is - especially the "dangerous" bit.

And if this happens with tooltips then what
makes you think it's limited to the use of
`x-show-tip'?  Just what is `x-show-tip'-
specific?

> There are also some things you can put in `params'
> that will make Emacs crash, but I don't remember which.

Some things?  In 'params'?  (PARMS maybe?)  

Any crash is an Emacs bug (in C code).  Needs to
be fixed, regardless of who's authorized to use
`x-show-tip'.

If there are problems/gotchas/bugs/mysteries wrt
PARMS, or anything else your vague response is
meant to intimate, please fix or document them.

There's no difference in this regard between what
"core Emacs developers" need (and need to know)
when using `x-show-tip' and what other Emacs
developers need (i.e., users who develop 3rd-party
libraries) need.

Fix it or document it.  That's the proper response
for something useful that (you think) has problems.

Trying to wall it off with mysterious bluster is,
well, I won't say...